> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Store



## OpenAPI

````yaml openapi.json patch /branch/store
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /branch/store:
    parameters: []
    patch:
      tags:
        - Branches
        - Stores
      summary: Update Store
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                storeId:
                  type: string
                agents:
                  type: array
                  items:
                    type: string
            example: null
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: 'off'
            X-Download-Options:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: noopen
            X-Frame-Options:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: none
            X-XSS-Protection:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
                default: true
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: '443'
            ETag:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: W/"1bb-4kUtXnFpqFoc5T1z02Q6xRk1rBA"
            Vary:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: Accept-Encoding
            Date:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: Tue, 24 Dec 2024 01:15:47 GMT
            Connection:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
                minLength: 0
                maxLength: 0
              example: timeout=5
          description: Update Store - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      mode:
                        type: string
                      name:
                        type: string
                      website:
                        type: string
                      address:
                        type: string
                      phoneNumber:
                        type: string
                      merchantId:
                        type: string
                      walletId:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                      deletedAt:
                        nullable: true
              example:
                status: true
                message: Store successfully updated.
                data:
                  id: 3d06119f-1a61-49a4-8be9-e0e7917a9340
                  mode: SANDBOX
                  name: Somulu Market
                  website: www.somolu.market2.com
                  address: No 12, Somolu market
                  phoneNumber: '2348123928344'
                  merchantId: bb80715c-dcbc-460c-a8e4-203b63b03fce
                  walletId: 849c0188-d645-46b6-ac2c-8840a9d4b08b
                  createdAt: '2024-12-24T01:06:54.052Z'
                  updatedAt: '2024-12-24T01:15:47.692Z'
                  deletedAt: null
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````